module Character exposing (..)

import Sphere exposing (Sphere)

type alias Character =
    { name : String
    , spheres : List Sphere
    }

changeName : Character -> String -> Character
changeName character newName =
    if ( newName == "")
    then
        character
    else
        { character | name = newName }

changeSphere : Character -> Sphere -> Character
changeSphere character sphere =
    { character | spheres = Sphere.changeSphereInList character.spheres sphere }

new : Character
new =
    { name = "Default Name" 
    , spheres = 
        [   { name = "Correspondence"
            , dots = 0
            }
        ]
    }